Get Multiple Scorecard Results
curl --request POST \
--url https://api.lendflow.com/api/score_cards/{scoreCard_id}/multi-results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"result_ids": []
}
'import requests
url = "https://api.lendflow.com/api/score_cards/{scoreCard_id}/multi-results"
payload = { "result_ids": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({result_ids: []})
};
fetch('https://api.lendflow.com/api/score_cards/{scoreCard_id}/multi-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": null,
"status": 1,
"points": null,
"weighted_points": null,
"categories": null,
"score_card_id": "669778a5-f087-44e8-926f-c33e5ed59140",
"score_card_group_result_id": null,
"created_at": null,
"finished_at": null,
"failed_at": null,
"knocked_out_at": null
},
{
"id": null,
"status": 1,
"points": null,
"weighted_points": null,
"categories": null,
"score_card_id": "fd811cfc-0a6e-4e5f-ac89-833ff08120b2",
"score_card_group_result_id": null,
"created_at": null,
"finished_at": null,
"failed_at": null,
"knocked_out_at": null
}
]
}Scorecards
Get Multiple Scorecard Results
Returns the scorecard run results matching the requested result ids, including their statuses, risk tiers, and knockouts.
POST
/
api
/
score_cards
/
{scoreCard_id}
/
multi-results
Get Multiple Scorecard Results
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the scoreCard.
Body
application/json
Must match an existing stored value. Must have at least 1 items. Must not have more than 5000 items.
Example:
[]
Response
200 - application/json
Show child attributes
Show child attributes
Example:
[
{
"id": null,
"status": 1,
"points": null,
"weighted_points": null,
"categories": null,
"score_card_id": "669778a5-f087-44e8-926f-c33e5ed59140",
"score_card_group_result_id": null,
"created_at": null,
"finished_at": null,
"failed_at": null,
"knocked_out_at": null
},
{
"id": null,
"status": 1,
"points": null,
"weighted_points": null,
"categories": null,
"score_card_id": "fd811cfc-0a6e-4e5f-ac89-833ff08120b2",
"score_card_group_result_id": null,
"created_at": null,
"finished_at": null,
"failed_at": null,
"knocked_out_at": null
}
]
Was this page helpful?